Name:           python-paste
Version:        3.5.0
Release:        2
Summary:        Tools for using a Web Server Gateway Interface stack

License:        MIT and ZPLv2.0 and Python and (AFL or MIT) and (MIT or ASL 2.0)
URL:            https://pythonpaste.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/source/P/Paste/Paste-%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pyOpenSSL python3-setuptools python3-six python3-tempita

%description
Paste provides several pieces of "middleware" (or filters) that can be nested
to build web applications. Each piece of middleware uses the WSGI (PEP 333) 
interface, and should be compatible with other middleware based on those interfaces.

%package        -n python3-paste
Summary:        Tools for using a Web Server Gateway Interface stack

%{?python_provide:%python_provide python3-paste}

Requires: 	python3-pyOpenSSL python3-setuptools
Requires: 	python3-six python3-tempita

%description -n python3-paste
Paste provides several pieces of "middleware" (or filters) that can be nested
to build web applications. Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those interfaces.

%package_help

%prep
%autosetup -n Paste-%{version} -p1

find . -name "*.orig" -delete
%{__sed} -i -e '/^#!.*/,1 d' paste/util/scgiserver.py paste/debug/doctest_webapp.py

pushd docs
rm StyleGuide.txt
popd

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
#export PYTHONPATH=$(pwd)
#nosetests-%{python3_version} -e '.*test_paste_website'

%files -n python3-paste
%defattr(-,root,root)
%license docs/license.txt
%{python3_sitelib}/paste
%{python3_sitelib}/Paste-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/Paste-%{version}-py%{python3_version}-nspkg.pth

%files help
%defattr(-,root,root)
%doc docs/*

%changelog
* Sat Jan 08 2022 zhanzhimin <zhanzhimin@huawei.com> - 3.5.0-2
- delete python-nose dependency

* Wed Jan 27 2021 zhanzhimin <zhanzhimin@huawei.com> - 3.5.0-1
- update to 3.5.0

* Wed Dec 16 2020 hanhui <hanhui15@huawei.com> - 2.0.3-13
- modify url

* Fri Oct 30 2020 jinzhimin <jinzhimin2@huawei.com> - 2.0.3-12
- remove python2-paste subpackage

* Wed Jun 24 2020 wangye <wangye70@huawei.com> - 2.0.3-11
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:no make check

* Wed Oct 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.3-10
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the provides for python-paste

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.3-9
- Package init
